summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* gnome-extra/gnome-software: revbump for newer sysprof-capture dependencySam James3 days1-1/+1
| | | | | | | | | | <sysprof 3.40.1 broke ABI (added various symbols) which was fixed in 3.40.1, so upgrading to this newer version broke consumers. We force a rebuild of them against the newer sysprof to resolve build failures. Bug: https://bugs.gentoo.org/795507 Package-Manager: Portage-3.0.19, Repoman-3.0.3 Signed-off-by: Sam James <sam@gentoo.org>
* gnome-extra/gnome-software: Drop old versionsMatt Turner10 days5-400/+0
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* gnome-extra/gnome-software: Version bump to 40.2Matt Turner10 days2-0/+104
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* gnome-extra/gnome-software: Version bump to 40.1Matt Turner2021-04-302-0/+104
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* gnome-extra/gnome-software: Version bump to 40.0Matt Turner2021-04-183-0/+106
| | | | | | | * Add IUSE=flatpak (bug #754282) Closes: https://bugs.gentoo.org/754282 Signed-off-by: Matt Turner <mattst88@gentoo.org>
* gnome-extra/gnome-software: [QA] Add sub-slot operatorDavid Seifert2020-11-272-2/+2
| | | | | | | | | * dev-libs/libxmlb-0.2.0 has a different subslot due to an ABI break. * Invoking maintainer timeout. Closes: https://bugs.gentoo.org/737988 Package-Manager: Portage-3.0.10, Repoman-3.0.2 Signed-off-by: David Seifert <soap@gentoo.org>
* gnome-extra/gnome-software: bump to 3.36.1Mart Raudsepp2020-07-132-0/+96
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-extra/gnome-software: remove oldMart Raudsepp2020-04-183-204/+0
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-extra/gnome-software: bump to 3.34.2Mart Raudsepp2020-04-042-0/+96
| | | | | | | | | Disable tests, as some fail, pointing out that they are just outright writing and deleting at /var/tmp/self-test/ Bug: https://bugs.gentoo.org/709010 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-extra/gnome-software: bump to 3.32.4Mart Raudsepp2020-02-202-0/+101
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* */*: [QA] Fix trivial cases of MissingTestRestrictMichał Górny2019-12-111-0/+1
| | | | | | | | | | | | | | | | | | The result was achieved via the following pipeline: pkgcheck scan -c RestrictTestCheck -R FormatReporter \ --format '{category}/{package}/{package}-{version}.ebuild' | xargs -n32 grep -L RESTRICT | xargs -n32 sed -i -e '/^IUSE=.*test/aRESTRICT="!test? ( test )"' The resulting metadata was compared before and after the change. Few Go ebuilds had to be fixed manually due to implicit RESTRICT=strip added by the eclass. Two ebuilds have to be fixed because of multiline IUSE. Suggested-by: Robin H. Johnson <robbat2@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/13942 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* */*: Replace virtual/libgudev with dev-libs/libgudevMichał Górny2019-10-261-1/+1
| | | | | | | | Replace all virtual/libgudev deps. Without revbumps, since the removal is not urgent and we can wait some for bumps to happen. Bug: https://bugs.gentoo.org/697100 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* gnome-extra/gnome-software: remove oldMart Raudsepp2019-07-282-85/+0
| | | | | Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-extra/gnome-software: remove oldMart Raudsepp2019-03-312-95/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-extra/gnome-software: bump to 3.30.6, conditional packagekitMart Raudsepp2019-03-223-0/+103
| | | | | | | | | | | | | packagekit is "not ready for primetime" and even use.masked, so I don't think we should force it on gnome-software when gnome-software can be useful for upgrading device firmware, handle shell extensions and (eventually) flatpaks. Also default-enable USE=firmware to have firmware upgrades show up, some of which may be security relevant (e.g. logitech unifying receiver firmware updates). Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-extra/gnome-software: ebuild touchupsMart Raudsepp2019-03-221-4/+2
| | | | | | | | Require gettext-0.19.8 for ITS as standard min req with meson. Remove double icon cache update calls, as xdg.eclass does it now. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-extra/gnome-software: 3.22.7 → 3.28.2Gilles Dartiguelongue2018-12-113-4/+104
| | | | | | | | Switched build system to meson. Re-order dependencies according to build-system. Enable fwupd support through USE=firmware. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org>
* gnome-extra/*: Update Manifest hashesMichał Górny2017-12-101-1/+1
|
* gnome-extra/gnome-software: update homepageGilles Dartiguelongue2017-08-261-1/+1
| | | | | | Due to default redirection to SSL. Package-Manager: Portage-2.3.8, Repoman-2.3.3
* gnome-extra/gnome-software: cleanup old revisionsGilles Dartiguelongue2017-08-124-236/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* gnome-extra/gnome-software: bump to 3.22.7Mart Raudsepp2017-03-232-0/+85
| | | | Package-Manager: Portage-2.3.4, Repoman-2.3.1
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-283-3/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* gnome-extra/gnome-software: cleanup old revisionGilles Dartiguelongue2017-01-042-82/+0
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* gnome-extra/gnome-software: bump to 3.22.4Christophe Lermytte2017-01-042-0/+82
| | | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/3208 Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org>
* gnome-extra/gnome-software: version bump 3.22.1 → 3.22.2Gilles Dartiguelongue2016-11-122-0/+82
| | | | Package-Manager: portage-2.3.2
* gnome-extra/gnome-software: cleanup old revisionGilles Dartiguelongue2016-10-242-74/+0
| | | | Package-Manager: portage-2.3.1
* gnome-extra/gnome-software: version bump 3.20.5 → 3.22.1Gilles Dartiguelongue2016-10-242-0/+82
| | | | Package-Manager: portage-2.3.1
* gnome-extra/gnome-software: x86 keywordPacho Ramos2016-10-081-1/+1
| | | | Package-Manager: portage-2.3.1
* gnome-extra/gnome-software: Version bumpPacho Ramos2016-10-082-0/+75
| | | | Package-Manager: portage-2.3.1
* gnome-extra/gnome-software: Drop oldPacho Ramos2016-10-082-64/+0
| | | | Package-Manager: portage-2.3.1
* gnome-extra/gnome-software: version bump to 3.20.2Gilles Dartiguelongue2016-09-072-0/+74
| | | | | | Also fix handling of python unittests. Package-Manager: portage-2.3.0
* Set appropriate maintainer types in metadata.xml (GLEP 67)Michał Górny2016-01-241-1/+1
|
* Replace all herds with appropriate projects (GLEP 67)Michał Górny2016-01-241-1/+4
| | | | | Replace all uses of herd with appropriate project maintainers, or no maintainers in case of herds requested to be disbanded.
* gnome-extra/gnome-software: initial ebuild, bug #565212Gilles Dartiguelongue2016-01-033-0/+69
Imported from gnome-overlay. Package-Manager: portage-2.2.26